
package keymon.lat.medicomed;

import anywheresoftware.b4a.pc.PCBA;
import anywheresoftware.b4a.pc.RemoteObject;

public class fileprovider {
    public static RemoteObject myClass;
	public fileprovider() {
	}
    public static PCBA staticBA = new PCBA(null, fileprovider.class);

public static RemoteObject __c = RemoteObject.declareNull("anywheresoftware.b4a.keywords.Common");
public static RemoteObject _sharedfolder = RemoteObject.createImmutable("");
public static RemoteObject _usefileprovider = RemoteObject.createImmutable(false);
public static RemoteObject _rp = RemoteObject.declareNull("anywheresoftware.b4a.objects.RuntimePermissions");
public static RemoteObject _dateutils = RemoteObject.declareNull("b4a.example.dateutils");
public static keymon.lat.medicomed.main _main = null;
public static keymon.lat.medicomed.starter _starter = null;
public static keymon.lat.medicomed.subs _subs = null;
public static keymon.lat.medicomed.appupdater _appupdater = null;
public static keymon.lat.medicomed.mapa_rutas _mapa_rutas = null;
public static keymon.lat.medicomed.tracker _tracker = null;
public static keymon.lat.medicomed.newinst2 _newinst2 = null;
public static keymon.lat.medicomed.b4xpages _b4xpages = null;
public static keymon.lat.medicomed.b4xcollections _b4xcollections = null;
public static keymon.lat.medicomed.httputils2service _httputils2service = null;
public static keymon.lat.medicomed.xuiviewsutils _xuiviewsutils = null;
public static Object[] GetGlobals(RemoteObject _ref) throws Exception {
		return new Object[] {"DateUtils",_ref.getField(false, "_dateutils"),"rp",_ref.getField(false, "_rp"),"SharedFolder",_ref.getField(false, "_sharedfolder"),"UseFileProvider",_ref.getField(false, "_usefileprovider")};
}
}